PDA

View Full Version : Ran Firefox 1.5 with klik, now cannot use 1.0.7 on desktop



4ebees
12-04-2005, 01:06 PM
Hi all,

This is my first post and firstly let me say "Klik is great". It's very impressive.

Unfortunately I seem to have struck a problem.

I'm using Fed Core 3. I have Firefox 1.0.7 installed (no 1.5 update available yet for it). I thought I'd try 1.5 with klik.

I'm now unable to use my 1.0.7 (I need it for remote access to work etc with some the plugins it uses). If I click on my toolbar icon, I get nothing. If I use the icon in the kde menu, firefox tries to run, but nothing happens.

When I used alt-f2 it tried to launch 1.5. So I deleted the .cmg file for the klik 1.5 version, but this has not helped.

I've tried reinstalling and this hasn't worked. If I try to use the firefox icon in /usr/lib/firefox-1.0.7/firefox again I get no response...nothing happens.

As I need 1.0.7 for external access and some other elements, this is somewhat frustrating.

Can anyone suggest a solution to this please or redirect me to an already posted answer (I'm afraid I've been unable to locate one).

(it just occurred to me that when I ran 1.5 it told me that some of the extensions didn't work any more and asked me to update them - could this have affected the extensions in 1.0.7, as 1.5 read all the extensions and bookmarks from 1.0.7???)

I realise that there is always the possiblity of Firefox running in the background, but TOP doesn't show it running and when I start it using

./firefox -profilemanager

in /usr/lib/firefox blah blah/firefox

as root, I can start it but it doesn't have my plugins or bookmarks and I can only do this as root, not as a standard user - this merely gives me a 'no access permitted to directory' error message)

Any assistance would be most appreciated.

dwombat
12-05-2005, 01:21 AM
4ebees,
A question,did you use firefox 1.0.7 to download the firefox 1.5 .cmg.The reason is I just last night did this and it errored saying I could not have two firefoxe's open at same time.I closed the .cmg one and the other non .cmg would not run.So I deleted the .cmg one and everthing was back to normal. I than dowloaded the firefox.cmg with opera.You should have noticed that when the firefox.cmg opened the first time it said something about not loading some chrome file,I cancelled those,and firefox.cmg ran with all the bookmarks fron firefox1.0.7.And using opera to download the .cmg.it did not affect firefox1.0.7.I would use Konqueror to download the firefox .cmg,and firefox 1.0.7 should work,if not re-install 1.0.7,but delete firefox.cmg before doing it,and than use Kongueror,Dennis

4ebees
12-05-2005, 12:40 PM
4ebees,
A question,did you use firefox 1.0.7 to download the firefox 1.5 .cmg.

No, I use konquie


You should have noticed that when the firefox.cmg opened the first time it said something about not loading some chrome file,I cancelled those,and firefox.cmg ran with all the bookmarks from firefox1.0.7.

DOH! :)

I did get it going with a dirty hack :) (you dirty hack, you!)

./firefox -profilemanager

in

/usr/lib/firefox-1.0.7/

brought up the profiles and started from there.

Your suggestion is better (works better with future update)

I backed up my plugins and bookmarks and got rid all the default stuff in .mozilla/firefox (I think it was) and then deleted, reinstalled and (cough) rebooted <insert embarrassment icon>

Now Ffox works if I create and use an icon in the toolbar or use the menu option, but not if I use alt-f2. It still tries for the klik 1.5 version. Any suggestions?

Now, finally:

wombat? I'm in Sydney, where are you?

Thanks enormously for your help with this. Klik rates as one of my now fav cool apps, along with wine and qemu (which takes the cake I think :))

Much appreciated :)

wombat
12-06-2005, 10:16 AM
4ebees,
I am in Boise,ID and I came by this wombat when I talked SSB CB radio and we had a club called Wombat Country Club[aka WCC]was the call with a number,and started with a a gentleman in Melbourne[sp].Now I run Frugalware linux and is hard drive install and it comes with firefox.I still was having problems runing it and the .cmg,so I downloaded the firefox1.5.tar.gz and converted it to a .fpm,which is the file type pacman uses on frugalware.Uninstalled firefox1.0.7 and installed firefox1.5.fpm works good now.I have another box with Mepis linux and the firefox1.5.cmg works there ,as I don't have firefox on it.I use opera8.5.cmg there also.You might want to use Crossover Pro,which is a wine ,with all the setup done for you.I use it for a couple windows apps and it works great.Go to www.codeweavrs.com and see what you think of it.And yes Klik is a great little tool,as in the case ,I needed a bittorrent tool and used klik to get azureus.cmg and it works great.The Alt-F2,brings up the run box,the history is keep in /home/usr/.kde[hidden file]/share/config/kdedesktoprc,you can go in there and delete the referance to klik firefox1.5 .cmg ,I assume you are using KDE as your desktop,cheers,Dennis PS 4ebees stands for the # in your family

probono
12-06-2005, 11:13 PM
This is very interesting. klik by design allows to run many versions in parallel. In this case, it seems, that the configs written by 1.5 mess up 1.x - this is certainly bad behavior on the side of Firefox.

If others can reporoduce this error, we should probably consider submitting a bug to the Firefox bugtracker.

Imho, it would be good behavior that a newer version of an app shouldn't render the settings of an older version unuseable... otherwise people can't use multiple versions at once (which klik enables you to do), and cannot downgrade.

Can anyone confirm the - let me call it - bug?

Greeings,
probono

dosboss
01-25-2006, 03:12 PM
FYI, Firefox uses ~/.mozilla/firefox/* for all it's preferences. If a new version is started with an old version installed, firefox will attempt to use all the extentions, themes, and plugins that are listed in the user's old firefox profile (but IIRC the plugins are global and installed in /usr/lib/firefox/plugins ...). If something doesn't work with the new version, firefox disables it, warns the user (although the warnings are really sparse, i.e. it's not going to tell you what it disabled), marks the item as disabled in the profile, and continues starting. If you exit that new version and try to start the old, all those things that didn't work with the new version are still marked as disabled in the user profile. Worse yet, if you updated anything while in the new version, or firefox did it itself with automatic updates, the old version will most certainly not work without some manual re-configuration. And to add insult to injury, the new firefox will also modify (update) some of the environment files in the firefox profile dir, making it impossible to go back without some major file surgery. This is especially true with some of the chrome components.

Now this all may seem harsh, but the Mozilla people would much rather you use an updated version of thier browser due to security fixes and the like. IMHO this is the reason for the one-way upgrade path. I myself have never used 'klik', and indeed this is the first time I've heard of it, so I don't know about any profile 'sandbox' or similar. I am off to investigate klik as you have piqued my intrest.

dosboss

4ebees
02-17-2006, 10:53 AM
...cheers,Dennis PS 4ebees stands for the # in your family

Not any more :)